MyGUI::ILogFilter Class Reference

`#include <MyGUI_ILogFilter.h>`

Inheritance diagram for MyGUI::ILogFilter:
[legend]

## Public Member Functions

virtual | ~ILogFilter ()=default
virtual bool | shouldLog (std::string_view, LogLevel, const struct tm *, std::string_view, std::string_view, int)

## Detailed Description

Definition at line 16 of file MyGUI_ILogFilter.h.

## Constructor & Destructor Documentation

## ~ILogFilter()

virtual MyGUI::ILogFilter::~ILogFilter | ( |  | ) |

virtual default

## Member Function Documentation

## shouldLog()

virtual bool MyGUI::ILogFilter::shouldLog | ( | std::string_view | ,
|  | LogLevel | ,
|  | const struct tm * | ,
|  | std::string_view | ,
|  | std::string_view | ,
|  | int | )

inline virtual

Check if specific log message should be logged.
For example some log listeners use only messages with high log level.

Reimplemented in MyGUI::LevelLogFilter.

Definition at line 24 of file MyGUI_ILogFilter.h.

The documentation for this class was generated from the following file:

- MyGUI_ILogFilter.h